<script setup lang="ts">
  import { CmsBlockImageThreeCover } from '@shopware-pwa/composables-next';

  const props = defineProps<{
    content: CmsBlockImageThreeCover;
  }>();

  const { getSlotContent } = useCmsBlock(props.content);

  const leftContent = getSlotContent('left');
  const rightContent = getSlotContent('right');
  const centerContent = getSlotContent('center');
</script>

<template>
  <div class="grid p-5 md:grid-cols-3">
    <CmsGenericElement :content="leftContent" />
    <CmsGenericElement :content="centerContent" />
    <CmsGenericElement :content="rightContent" />
  </div>
</template>
